package org.sonatype.plugins.sisu.assembler;

import org.sonatype.aether.RepositoryException;
import org.sonatype.aether.collection.DependencyGraphTransformationContext;
import org.sonatype.aether.collection.DependencyGraphTransformer;
import org.sonatype.aether.graph.DependencyNode;

public class DropTransitiveGraphTransformer
    implements DependencyGraphTransformer
{

    public DependencyNode transformGraph( final DependencyNode node, final DependencyGraphTransformationContext context )
        throws RepositoryException
    {
        for ( final DependencyNode child : node.getChildren() )
        {
            child.getChildren().clear();
        }

        return node;
    }

}
